%global python3_pkgversion 3.11
%global __python3 /usr/bin/python3.11

# Created by pyp2rpm-3.3.3
%global pypi_name pypi-simple

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        1%{?dist}
Summary:        PyPI Simple Repository API client library

License:        MIT
URL:            https://github.com/jwodder/pypi-simple
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:  python%{python3_pkgversion}-packaging
Requires:  python%{python3_pkgversion}-requests
Requires:  python%{python3_pkgversion}-beautifulsoup4
Requires:  python%{python3_pkgversion}-mailbits >= 0.2


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# create a minimal setup.py, the rest will be done by setuptools
printf 'from setuptools import setup\nsetup()' > setup.py


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pypi_simple
%{python3_sitelib}/pypi_simple-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Oct 23 2024 Foreman Packaging Automation <packaging@theforeman.org> - 0.10.0-1
- Update to 0.10.0

* Tue Jan 16 2024 Odilon Sousa <osousa@redhat.com> - 0.9.0-6
- Remove SCL bits

* Tue Dec 12 2023 Patrick Creech <pcreech@redhat.com> - 0.9.0-5
- Rollback overzealous obsoletes

* Tue Nov 21 2023 Patrick Creech <pcreech@redhat.com> - 0.9.0-4
- Add python39 obsoletes to package

* Sat Nov 11 2023 Odilon Sousa <osousa@redhat.com> - 0.9.0-3
- Build against python 3.11

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.9.0-2
- Build against python 3.9

* Tue Feb 22 2022 Evgeni Golov - 0.9.0-1
- Initial package.
